# InlineResponse2006Abuse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | Pointer to **int32** |  | [optional] 

## Methods

### NewInlineResponse2006Abuse

`func NewInlineResponse2006Abuse() *InlineResponse2006Abuse`

NewInlineResponse2006Abuse instantiates a new InlineResponse2006Abuse object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewInlineResponse2006AbuseWithDefaults

`func NewInlineResponse2006AbuseWithDefaults() *InlineResponse2006Abuse`

NewInlineResponse2006AbuseWithDefaults instantiates a new InlineResponse2006Abuse object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *InlineResponse2006Abuse) GetId() int32`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *InlineResponse2006Abuse) GetIdOk() (*int32, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *InlineResponse2006Abuse) SetId(v int32)`

SetId sets Id field to given value.

### HasId

`func (o *InlineResponse2006Abuse) HasId() bool`

HasId returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


